# Eva Design System

Starting with version 4.0 Nebular becomes an Angular implementation of [Eva Design System](https://eva.design?utm_source=nebular_docs&utm_medium=intro).
This means that components visual style and behavior are based on Design System rules and agreements.  
<hr>

## Principles

Eva is a customizable Design System based on Atomic Design Principles.
All components are built based on basic elements with shared styles, connected with a single Visual Language for both Mobile and Web platforms.
Most importantly, Eva is built to be customizable, meaning architectural support of multiple themes across all components and supporting platforms.  
<hr>

## Implementations

Eva Design System is implemented for two platforms:

- Web - Nebular
- Mobile - [UI Kitten](https://github.com/akveo/react-native-ui-kitten?utm_source=nebular_docs&utm_medium=intro)

Both implementations have a single source of truth for styles and unified theming system.
<hr>

## Built-in themes

Currently, there are 4 built-in themes: 
- `default` - clean white theme
- `dark` - dark theme
- `cosmic` - alternative dark violet theme
- `corporate` - firm business theme

Theme extension mechanism allows theme inheritance,  for instance, is inherited from the `dark` theme.
<hr>

## Enterprise ready

Being a part of Eva Ecosystem, Nebular is a great choice for Enterprise-grade products, providing complete control over application look & feel.  
<hr>

## Related Articles

- [Design System Rules](docs/design-system/design-system-theme)
- [Create Custom Theme](docs/design-system/create-custom-theme)
