# What is Nebular?

Nebular is a customizable Angular UI Library based on [Eva Design System](https://eva.design) specifications, with 40+ UI components, 4 visual themes, Auth and Security modules. 
<hr>

## What's included

Nebular modules are distributed as separated `npm` packages:

- Nebular Theme `@nebular/theme`
  - Theme - 4 visual themes, a customizable theming engine with custom css properties support.
  - UI Components - high-quality Angular components no 3rd party dependencies.
  - Server-side rendering compatibility.
  - Right-to-left writing system support for all components.
- Nebular Auth `@nebular/auth`
  - Authentication components (login/register/reset password/restore password).
  - Multiple configurable authentication Strategies (backend connectors).
  - Helpers for token management (storing, passing with HTTP requests, etc).
- Nebular Security `@nebular/security` 
  - roles and permissions management.
- Nebular Moment `@nebular/moment`
- Nebular date-fns `@nebular/date-fns`
  - modules allowing Nebular components to work with dates with help most popular date librariws. 
- Admin dashboard starter kit <a href="https://github.com/akveo/ngx-admin" target="_blank">ngx-admin</a> - Angular application based on Nebular modules with beautiful IOT and E-commerce components.
- <a href="https://store.akveo.com?utm_source=nebular_docs&utm_medium=nebular-intro">Backend Bundles</a> - backend starter kits connected to ngx-admin UI.

<hr>

## Browser support

Modern browsers and Internet Explorer 9+

## Assumptions

This documentation assumes that you are already familiar with JavaScript/TypeScript, Angular, CSS/SASS.

## Have questions?
Didn't find something here? Look through the <a href="https://github.com/akveo/nebular/issues" target="_blank">issues</a> or simply drop us a line at <a href="mailto:contact@akveo.com">contact@akveo.com</a>.
