Nebular 4.0 unifies a lot of component properties making them more intuitive and easier to use.
This table contains these changes per component:


| Component     | Property                                                         | Change                                                                                                                                                                                                                                                  | Replacement                                                                                                                                                                                                                                                                                   |   |
|---------------|------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---|
| All Component | `size`                                                           | All `size` properties are now unified to `NbComponentSize` type, and have the following variants: `'tiny', 'small', 'medium', 'large', 'giant'`                                                                                                    |                                                                                                                                                                                                                                                                                               |   |
|               | `status`                                                         | All `status` or `color` properties are now unified to `NbComponentStatus` type, and have the following variants: `'primary', 'success', 'warning', 'danger', 'info'`                                                                                |                                                                                                                                                                                                                                                                                               |   |
|               | `shape`                                                          | All `shape` properties are now unified to `NbComponentShape` type, and have the following variants: `'rectangle', 'semi-round', 'round'`                                                                                                              |                                                                                                                                                                                                                                                                                               |   |
|               | Static `SIZE_XSMALL`, `SIZE_SMALL`                               | Static size, status, etc properties (`SIZE_XSMALL, SIZE_SMALL`, etc) removed.                                                                                                                                                                           | Use string values from `NbComponentSize`, `NbComponentStatus`, `NbComopnentShape`                                                                                                                                                                                                             |   |
|               | `size`, `status`, `shape` css classes                            | Renamed in accordance with new values, using the following rule - `${variant-group}-${variant}`, e.g. `size-small`, `status-primary`, `shape-rectangle`, etc.                                                                                           |                                                                                                                                                                                                                                                                                               |   |
|               | `hero`, `outline` css classes                                    | Renamed `appearance-hero`, `appearance-outline`.                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                                               |   |
| Button        |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `accent`                                                         | Property removed                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                                               |   |
|               | `btn-full-width` css class                                       | Renamed to `full-width`                                                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                               |   |
| Card          |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `disabled`, `active`                                             | States removed.                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
| Input         |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `size`                                                           | Property renamed to `fieldSize` (to avoid conflict with DOM property).                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                               |   |
|               | `setFullWidth`                                                   | Renamed to `fullWidth`                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                               |   |
| Checkbox      |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | Checkmark pseudo element                                         | Replaced with `<nb-icon></nb-icon>` component.                                                                                                                                                                                                          |                                                                                                                                                                                                                                                                                               |   |
|               | css classes                                                      | - Class 'customised-control' replaced with 'label' - Class 'customised-control-input' replaced with 'native-input' - Class 'customised-control-indicator' replaced with 'custom-checkbox' - Class 'customised-control-description' replaced with 'text' |                                                                                                                                                                                                                                                                                               |   |
|               | `_value`                                                         | Is private now                                                                                                                                                                                                                                          | Use `value` instead                                                                                                                                                                                                                                                                           |   |
| Radio         |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `setDisabled`                                                    | Renamed to `disabled`                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                               |   |
| Select        |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `selectionChange`                                                | Removed                                                                                                                                                                                                                                                 | Use `nb-select` (selected) binding to track selection change and `nb-option` `(click)` to track option click.                                                                                                                                                                                 |   |
|               |                                                                  | Only 'null' and 'undefined' option values now considered as reset. false and falsy values such as 0, '', NaN don't reset select value anymore.                                                                                                          |                                                                                                                                                                                                                                                                                               |   |
|               | arrow icon                                                       | Replaced with `<nb-icon></nb-icon>` component.                                                                                                                                                                                                          |                                                                                                                                                                                                                                                                                               |   |
|               | `isOpened`                                                       | Renamed to `isOpen`                                                                                                                                                                                                                                     |                                                                                                                                                                                                                                                                                               |   |
|               | `NbOptionComponent` and `NbOptionGroupComponent` `disabledClass` | Renamed to `disabledAttribute`                                                                                                                                                                                                                          |                                                                                                                                                                                                                                                                                               |   |
| Popover       |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `nbPopoverMode`                                                  | Renamed to `nbPopoverTrigger`                                                                                                                                                                                                                           |                                                                                                                                                                                                                                                                                               |   |
|               | `mode`                                                           | Renamed to `trigger`                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                               |   |
| Tooltip       |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `nbTooltipMode`                                                  | Renamed to `nbTooltipTrigger`                                                                                                                                                                                                                           |                                                                                                                                                                                                                                                                                               |   |
|               | `mode`                                                           | Renamed to `trigger`                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                               |   |
| Context Menu  |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `nbContextMenuMode`                                              | Renamed to `nbContextMenuTrigger`                                                                                                                                                                                                                       |                                                                                                                                                                                                                                                                                               |   |
|               | `mode`                                                           | Renamed to `trigger`                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                               |   |
| Menu          |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `inverse` mode                                                   | Removed                                                                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                               |   |
|               | `autoCollapseValue`                                              | Renamed to `autoCollapse`                                                                                                                                                                                                                               |                                                                                                                                                                                                                                                                                               |   |
|               |                                                                  | Collapsed icon now changes direction based on layout direction.                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
| Spinner       |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `disabled`, `active`                                             | States removed.                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
| User          |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `isMenuShown`                                                    | Property removed                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                                               |   |
|               | `inverse`                                                        | Mode removed                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                               |   |
|               | `background` css class                                           | Renamed to `initials`                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                               |   |
|               | 'showNameValue', 'showTitleValue', 'showInitialsValue'           | Renamed to 'showName', 'showTitle', 'showInitials'                                                                                                                                                                                                      |                                                                                                                                                                                                                                                                                               |   |
| Actions       |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `inverse`                                                        | Mode removed                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                               |   |
|               | `fullWidthValue`                                                 | Renamed to `fullWidth`                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                               |   |
|               | `disabledValue`                                                  | Renamed to `disabled`                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                               |   |
| Stepper       |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `orientation`                                                    | Enum type removed.                                                                                                                                                                                                                                      | Is now of type `'vertical', 'horizontal'`                                                                                                                                                                                                                        |   |
|               | `disableStepNavigationValue`                                     | Renamed to `disableStepNavigation`                                                                                                                                                                                                                      |                                                                                                                                                                                                                                                                                               |   |
| Alert         |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `closableValue`                                                  | Renamed to `closable`                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                               |   |
|               | `disabled`, `active`                                             | States removed.                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | 'hasAccent', 'hasStatus', 'hasOutline'                           | Removed                                                                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                               |   |
| Badge         |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `position`                                                       | Enum type removed.                                                                                                                                                                                                                                      | Is now of type `'top left', 'top right', 'bottom left', 'bottom right'; 'top start', 'top end', 'bottom start', 'bottom end';` |   |
|               | `positionClass`                                                  | Removed                                                                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                               |   |
|               |                                                                  | Position class how sits on host, prefixed as `position-${position}`                                                                                                                                                                                     |                                                                                                                                                                                                                                                                                               |   |
| Chat          |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `accent`                                                         | Removed                                                                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                               |   |
|               | `disabled`, `active`                                             | States removed.                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `NbChatMessageComponent` `replyValue`                            | Renamed to `reply`                                                                                                                                                                                                                                      |                                                                                                                                                                                                                                                                                               |   |
| Toastr        |                                                                  |                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                               |   |
|               | `status`                                                         | Enum type removed.                                                                                                                                                                                                                                      | Is not of type `NbComponentStatus` type, and have the following variants: `'primary', 'success', 'warning', 'danger', 'info'`                                                                                                                                                             |   |
|               | `default` css class                                              | Removed                                                                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                               |   |


[Back to migration guide](https://akveo.github.io/nebular/docs/migration/350400-migration).
